# TODO: PLDify init script
Summary:	Utility to administer the Linux Virtual Server
Summary(pl.UTF-8):	Narzędzie do administracji wirtualnymi serwerami
Name:		ipvsadm
Version:	1.31
Release:	1
License:	GPL v2+
Group:		Applications/System
Source0:	https://www.kernel.org/pub/linux/utils/kernel/ipvsadm/%{name}-%{version}.tar.xz
# Source0-md5:	f6d1707c5baf684b58fd33682d67871f
Patch0:		%{name}-make.patch
URL:		http://www.LinuxVirtualServer.org/
BuildRequires:	libnl-devel >= 3.2
BuildRequires:	popt-devel
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Conflicts:	ipvsadm24
Conflicts:	piranha <= 0.4.14
Requires:	uname(release) >= 2.6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

%description
ipvsadm is a utility to administer the IP virtual server services
offered by the Linux kernel augmented with the virtual server modules
(available as patch for long time, merged into kernel since 2.4.23).
This version supports Linux 2.6.x series.

%description -l pl.UTF-8
ipvsadm jest narzędziem do administracji wirtualnymi serwerami, co
umożliwia jądro Linuksa z modułami IPVS (dostępnymi jako łata od
dłuższego czasu, włączonymi do jądra od 2.4.23). Ta wersja obsługuje
wersje Linuksa 2.6.x.

%prep
%setup -q
%patch0 -p1

%build
%{__make} -j1 \
	CC="%{__cc}" \
	OPT="%{rpmcflags}"


%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	BUILD_ROOT=$RPM_BUILD_ROOT \
	MANDIR=%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc MAINTAINERS README
%attr(755,root,root) %{_sbindir}/ipvsadm
%attr(755,root,root) %{_sbindir}/ipvsadm-save
%attr(755,root,root) %{_sbindir}/ipvsadm-restore
#%attr(754,root,root) /etc/rc.d/init.d/ipvsadm
#%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/ipvsadm
%{_mandir}/man8/ipvsadm.8*
%{_mandir}/man8/ipvsadm-save.8*
%{_mandir}/man8/ipvsadm-restore.8*
%changelog
* Fri Mar 13 2020 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/ipvsadm.git;a=log;h=master

* Sun Feb 09 2020 Jakub Bogusz <qboosh@pld-linux.org> 6950b18
- updated to 1.31

* Sun Jul 21 2019 Jakub Bogusz <qboosh@pld-linux.org> e13d5a7
- updated to 1.30

* Mon Mar 27 2017 Jakub Bogusz <qboosh@pld-linux.org> 9e0e557
- updated to 1.29

* Mon Feb 23 2015 Jakub Bogusz <qboosh@pld-linux.org> 19de5a2
- updated to 1.28

* Mon Sep 09 2013 Jakub Bogusz <qboosh@pld-linux.org> 51f04a9
- updated to 1.27
- updated make patch

* Sat Jul 20 2013 Jan Rękorajski <baggins@pld-linux.org> 10dc8dd
- release 3 (by relup.sh)

* Sun Mar 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 87862c8
- release 2

* Fri Mar 18 2011 Jakub Bogusz <qboosh@pld-linux.org> 115e377
- dropped 6-year old ip_vs.h file; internal libipvs contains more recent version

* Fri Mar 18 2011 zbyniu <zbyniu@pld-linux.org> a0d1d1b
- obsoleted

* Fri Mar 18 2011 zbyniu <zbyniu@pld-linux.org> aff2f51
- up to 1.26

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 4c8f9c0
- dropped pre-cvs changelog

* Tue Oct 12 2010 shadzik <shadzik@pld-linux.org> 7113bb4
- force -j1 (won't build otherwise)

* Tue Oct 12 2010 shadzik <shadzik@pld-linux.org> d4ee304
- fix active connections (added patch1)

* Tue Oct 12 2010 shadzik <shadzik@pld-linux.org> f98160b
- fix active connections

* Tue Jan 13 2009 zbyniu <zbyniu@pld-linux.org> 04dff8f
- up to 1.25

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 2a8c08d
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 8202b56
- converted to UTF-8

* Mon Jun 06 2005 Jakub Bogusz <qboosh@pld-linux.org> 5e3bf4b
- updated to 1.24(-5) for Linux 2.6.x
- updated make patch, updated ip_vs.h from Linux 2.6.11.11

* Mon Jun 06 2005 Jakub Bogusz <qboosh@pld-linux.org> 9c0cbef
- updated for 1.24(-5)

* Mon Jun 06 2005 Jakub Bogusz <qboosh@pld-linux.org> 63c4a85
- updated from Linux 2.6.11.11

